package com.baojia.mebike.feature.exclusive.personalChangeBattery

import com.baojia.mebike.base.IBasePresenter
import com.baojia.mebike.base.IBaseView

/**
 * +----------------------------------------------------------------------
 * | @time 2019/1/22:11:26 AM
 * | @author house
 * | @class_describe
 * +----------------------------------------------------------------------
 **/
interface PersonalChangeBatteryContract {

    interface View : IBaseView<Presenter> {

        fun bikeId():Int

        fun setScanRule()

        fun succeed(operation: String,message:String?)
    }

    interface Presenter : IBasePresenter{

        fun sendBox(operation:String)

        fun getBoxInfo()

        fun boxMacAddress():String?

    }
}