package com.baojia.mebike.feature.exclusive.shopping.buybikeconfig

import android.text.TextUtils
import androidx.appcompat.widget.AppCompatTextView
import androidx.core.content.ContextCompat
import androidx.core.widget.TextViewCompat
import androidx.fragment.app.FragmentActivity
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.exclusive.shapping.BuyBikeConfigResponse

class BuyBikePlantAdapter(val required :Int ,activity: FragmentActivity?, data: ArrayList<BuyBikeConfigResponse.DataBean.PackagesBean.PackageItemsBean>?, item_buy_bike_plant: Int)
    :BaseCommonAdapter<BuyBikeConfigResponse.DataBean.PackagesBean.PackageItemsBean>(activity,data,item_buy_bike_plant){

    override fun convert(holder: BaseViewHolder?, list: MutableList<BuyBikeConfigResponse.DataBean.PackagesBean.PackageItemsBean>?, position: Int) {
        list?:return
        var item = list[position]
        TextViewCompat.setAutoSizeTextTypeWithDefaults(holder?.findView(R.id.buyBikePlantItemTitleTwo)!!, TextViewCompat.AUTO_SIZE_TEXT_TYPE_UNIFORM)

        if (item.saveMoneyText == null || item.saveMoneyText.isEmpty() ){
            holder?.setVisbility(R.id.buyBikePlantItemSaleTv,false)
            holder?.setVisbility(R.id.buyBikePlantItemSaleIv,false)
        }else {
            holder?.setVisbility(R.id.buyBikePlantItemSaleTv, true)
            holder?.setVisbility(R.id.buyBikePlantItemSaleIv, true)
            //折扣
            holder?.setText(R.id.buyBikePlantItemSaleTv, item.saveMoneyText)
        }
        //原价
        holder?.setText(R.id.buyBikePlantItemTitleTwo,item.currentPriceText)
        //现价
        holder?.setText(R.id.buyBikePlantItemTitle,"${item.description}")
        if (item.isClick){
            if (required == 1){
                holder?.setBackgroundRes(R.id.buyBikePlantItemMainConstraintLayout,R.drawable.radius_main_color_storke_bg_30)
            }else{
                holder?.setBackgroundRes(R.id.buyBikePlantItemMainConstraintLayout,R.drawable.radius_main_color_storke_bg)
            }
        }else{
            holder?.setBackgroundRes(R.id.buyBikePlantItemMainConstraintLayout,R.drawable.radius_stroke_line_color)
        }


    }

}
