package com.baojia.mebike.feature.exclusive.shopping.orderdetails

import com.baojia.mebike.base.IBasePresenter
import com.baojia.mebike.base.IBaseView
import com.baojia.mebike.data.response.exclusive.shapping.BuyBikeConfigResponse
import com.baojia.mebike.data.response.exclusive.shapping.BuyConfigCommitResponse
import com.baojia.mebike.data.response.exclusive.shapping.ShoppingOrderDetailResponse
import com.baojia.mebike.data.response.order.PayByOtherResponse
import com.baojia.mebike.feature.model.IPayPresenter
import com.baojia.mebike.feature.model.IPayView

interface ShoppingOrderDetailsContract {


    interface View : IPayView<Presenter> {


        fun orderNo() :String
        fun plantNo() :String?
        fun setData(data : ShoppingOrderDetailResponse.DataBean)
        //是否为续期
        fun isRenewFee() :Boolean
    }

    interface Presenter : IPayPresenter {
        /**
         * 获取数据
         */
        fun getDetailData()
        fun cancleOrder()
        fun confirmTakeCar()

    }
}