package com.baojia.mebike.feature.exclusive.shopping.paysuccess

import android.content.Context
import android.content.Intent
import android.os.Bundle
import android.view.View
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseActivity
import com.baojia.mebike.feature.exclusive.shopping.myorders.MyOrdersNewActivity
import com.baojia.mebike.feature.exclusive.shopping.orderdetails.ShoppingOrderDetailsActivity
import com.baojia.mebike.feature.main.MainActivity
import com.baojia.mebike.util.AppManager
import com.baojia.mebike.util.JumpActivity
import kotlinx.android.synthetic.main.activity_pay_success.*

//支付成功页
class PaySuccessActivity :BaseActivity() {

    companion object {
        fun startActivity(context: Context, orderNo: String, plateNo: String? = ""){
            AppManager.getInstance().startActivity(MainActivity::class.java)
            var intent = Intent(context,PaySuccessActivity::class.java)
            intent.putExtra("orderNo", orderNo)
            intent.putExtra("plateNo", plateNo)
            context.startActivity(intent)
        }
    }

    var orderNo = ""
    var plateNo: String? = null

    override fun layoutId(): Int = R.layout.activity_pay_success

    override fun bindView(savedInstanceState: Bundle?) {
        intent?.let {
            orderNo = it.getStringExtra("orderNo")
            plateNo = it.getStringExtra("plateNo")
        }

        setViewClickDuration(toMainButtonTv,1)
        setViewClickDuration(toOrdersButtonTv,1)

    }

    override fun setViewClick(view: View?) {
        when(view){
            toMainButtonTv ->{
                JumpActivity.JumpToMainActivity(this)
            }
            toOrdersButtonTv ->{
                ShoppingOrderDetailsActivity.start(this, orderNo,plateNo)
            }
        }
    }

    override fun onBackPressed() {
    }
}