package com.baojia.mebike.feature.exclusive.shopping.aboutexclusive

import com.baojia.mebike.data.response.exclusive.shapping.BuyBikeConfigResponse
import com.baojia.mebike.feature.model.IPayPresenter
import com.baojia.mebike.feature.model.IPayView

/**
 * @name mebikeRewrite
 * @classPackage com.baojia.mebike.feature.exclusive.shopping.aboutexclusive
 * @author lycc1
 * @time 2018/12/24 21:08
 * @class describe
 * @class 中文描述
 */
interface RenewalFeeContract {

    interface View : IPayView<Presenter> {


        fun setAllData(dataBean: BuyBikeConfigResponse.DataBean)

        fun paySuccess()

        fun bikeId() :Int

        fun pmallOrderId() : Int
        fun packageType() : Int
        fun virGroupId() : Int

        fun packageItemIds() :String

        fun showPayDialog(amount : Double)



    }

    interface Presenter :IPayPresenter {

        fun getData()
        //换电 套餐 对应另一个接口的数据
        fun getDataTwo()
        fun getAllAmount()

    }
}