package com.baojia.mebike.feature.exclusive.shopping.repairdetail

import android.app.Activity
import com.baojia.mebike.base.BasePresenter
import com.baojia.mebike.callback.HttpCallback
import com.baojia.mebike.data.response.exclusive.shapping.ShoppingRepailDetailResponse
import com.baojia.mebike.util.Toast

class ShoppingRepairDetailPresenter(activity: Activity,val mView :ShoppingRepairDetailContarct.View)
    :BasePresenter(activity),ShoppingRepairDetailContarct.Presenter {

   private val model = ShoppingRepairDetailModel(activity)

    override fun getDetail() {
        model.getDetail(mView.pmallMaintainId(),object :HttpCallback<ShoppingRepailDetailResponse?>(){
            override fun onSucceed(data: ShoppingRepailDetailResponse?) {
                super.onSucceed(data)
                data?.data?.let {
                    mView.setDetailData(it)
                }

            }

            override fun onFailed(code: Int, message: String?) {
                super.onFailed(code, message)
                Toast.show(context,message)
            }

            override fun onError(code: Int, message: String?) {
                super.onError(code, message)
                onFailed(-1,message)
            }

            override fun onErrorByNoNetwork() {
                super.onErrorByNoNetwork()
                onFailed(-1,"")
            }
        })
    }
}