package com.baojia.mebike.feature.exclusive.shopping.repairlist

import android.app.Activity
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.exclusive.shapping.RepairListResponse
import com.baojia.mebike.util.ToolBox
import kotlinx.android.synthetic.main.activity_repair_ditail_shopping.view.*

class RepairListAdapter(activity: Activity, mData: ArrayList<RepairListResponse.DataBean>, item_repair_list: Int)
    :BaseCommonAdapter<RepairListResponse.DataBean>(activity,mData,item_repair_list) {

    override fun convert(holder: BaseViewHolder?, list: MutableList<RepairListResponse.DataBean>?, position: Int) {
        list?:return
        var item = list[position]
        holder?.setText(R.id.repairListTimeTv,item.createTime)
        holder?.setText(R.id.repairListStateTv,item.maintainStatusText)
        holder?.setText(R.id.repairListDescTv,item.damagedPart)
        if (item.maintainStatus == 0){
            holder?.setTextColor(R.id.repairListStateTv,ToolBox.getColor(R.color.color_FF3939))
        }else{
            holder?.setTextColor(R.id.repairListStateTv,ToolBox.getColor(R.color.text_third_color))
        }

    }

}
