package com.baojia.mebike.feature.exclusive.shopping.repairlist

import android.app.Activity
import com.baojia.mebike.base.BaseModel
import com.baojia.mebike.callback.HttpCallback
import com.baojia.mebike.data.response.exclusive.shapping.RepairListResponse
import com.baojia.mebike.http.HttpUtils
import io.reactivex.disposables.Disposable

class RepairListModel(activity: Activity) :BaseModel(activity) {

    private val LIST_ORDER = "/pmall/get/maintains"

    fun getListData(bikeId: Int,pageNum: Int, httpCallback: HttpCallback<RepairListResponse?>?): Disposable {
        val params = HashMap<String, Any>()
        params["bikeId"] = bikeId
        params["pageNum"] = pageNum
        params["pageSize"] = 20
        return HttpUtils.postRequest(activity, LIST_ORDER, params, false, httpCallback, RepairListResponse::class.java)
    }
}