package com.baojia.mebike.feature.exclusive.shopping.sendprogress

import android.content.Context
import android.text.TextUtils
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.exclusive.shapping.SendProgressResponse
import com.baojia.mebike.util.ToolBox

class SendProgressAdapter(context: Context, list: ArrayList<SendProgressResponse.DataBean.ProcessesBean>, layoutId: Int)
    : BaseCommonAdapter<SendProgressResponse.DataBean.ProcessesBean>(context, list, layoutId) {
    override fun convert(holder: BaseViewHolder?, list: MutableList<SendProgressResponse.DataBean.ProcessesBean>?, position: Int) {
        list?:return
        var bean = list.get(position) ?: return

        if (position == 0){
            holder?.setVisbility(R.id.sendProgressTopLineIv,false)
        }else{
            holder?.setVisbility(R.id.sendProgressTopLineIv,true)
        }
        if (position == list.size-1){
            holder?.setVisbility(R.id.sendProgressBottomLineIv,false)
        }else{
            holder?.setVisbility(R.id.sendProgressBottomLineIv,true)
        }

        if (bean.isLightup == 1){
            holder?.setVisbility(R.id.sendProgressLightIv,true)
            holder?.setImageResource(R.id.sendProgressBottomLineIv,R.color.main_color)
            holder?.setImageResource(R.id.sendProgressTopLineIv,R.color.main_color)
            holder?.setTextColor(R.id.sendProgressTitleTv, ToolBox.getColor(R.color.text_first_color))
        }else{
            holder?.setVisbility(R.id.sendProgressLightIv,false)
            holder?.setImageResource(R.id.sendProgressBottomLineIv,R.color.line_color)
            holder?.setImageResource(R.id.sendProgressTopLineIv,R.color.line_color)
            holder?.setTextColor(R.id.sendProgressTitleTv, ToolBox.getColor(R.color.text_third_color))
        }

        if (!TextUtils.isEmpty( bean.key1)){
            holder?.setText(R.id.sendProgressTitleTv, bean.key1)
        }

        if (TextUtils.isEmpty(bean.key2)){
            holder?.setVisbility(R.id.sendProgressNameTv,false)
        }else{
            holder?.setVisbility(R.id.sendProgressNameTv,true)
            holder?.setText(R.id.sendProgressNameTv, bean.key2)
        }

        if (TextUtils.isEmpty(bean.key3)){
            holder?.setVisbility(R.id.sendProgressDescTitleTv,false)
        }else{
            holder?.setVisbility(R.id.sendProgressDescTitleTv,true)
            holder?.setText(R.id.sendProgressDescTitleTv, bean.key3)
        }
        if (TextUtils.isEmpty(bean.key4)){
            holder?.setVisbility(R.id.sendProgressDescTv,false)
        }else{
            holder?.setVisbility(R.id.sendProgressDescTv,true)
            holder?.setText(R.id.sendProgressDescTv, bean.key4)
        }

    }


//    private TextView sendProgressTitleTv;
//    private ImageView sendProgressPointIv;
//    private ImageView sendProgressTopLineIv;
//    private ImageView sendProgressBottomLineIv;
//    private TextView sendProgressNameTv;
//    private TextView sendProgressDescTitleTv;
//    private TextView sendProgressDescTv;

}