package com.baojia.mebike.feature.join

import android.content.ClipData
import android.view.View
import com.baojia.mebike.base.BaseCompatDialogFragment
import com.baojia.mebike.data.CommData
import com.baojia.mebike.util.DensityUtil
import kotlinx.android.synthetic.main.dialog_copy_downloadurl.*
import android.content.ClipboardManager
import android.content.Context.CLIPBOARD_SERVICE
import com.baojia.mebike.R
import com.baojia.mebike.util.Toast

//复制下载url弹框
class CopyDownloadUrlDialog : BaseCompatDialogFragment() {

    var downloadUrl :String? = null


    override fun setContentView(): Int = R.layout.dialog_copy_downloadurl

    override fun bindView() {

        downloadUrl = bundle?.getString("downloadUrl")

        downloadUrlTv.text = downloadUrl

        setViewClickDuration(confirmCopyTv,1)
    }

    override fun setViewClick(view: View?) {
        if (view == confirmCopyTv){
            context?:return
            try {
                val myClipboard = context!!.getSystemService(CLIPBOARD_SERVICE) as ClipboardManager
                var clipData = ClipData.newPlainText("text",downloadUrl)
                myClipboard.primaryClip = clipData
                Toast.show(context,"复制成功")
            } catch (e: Exception) {
            }
            dismiss()
        }
    }


    override fun getWidth(): Int = CommData.getScreen()[0] - DensityUtil.dip2px(context!!, 50f)

}