package com.baojia.mebike.feature.join

import android.os.Bundle
import android.view.View
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseActivity
import com.baojia.mebike.feature.join.income.JoinIncomeActivity
import com.baojia.mebike.feature.join.plant.JoinPlantActivity
import com.baojia.mebike.feature.main.MainActivity
import com.baojia.mebike.util.AppManager
import com.baojia.mebike.util.JumpActivity
import com.baojia.mebike.widget.CommonWebViewActivity
import kotlinx.android.synthetic.main.activity_join_commit_success.*

class JoinSuccessActivity : BaseActivity() {

    //0  意向提交   1  购买成功
    var status = 0;

    override fun layoutId(): Int = R.layout.activity_join_commit_success
    override fun bindView(savedInstanceState: Bundle?) {
        intent?.let {
            status = it.getIntExtra("status", 0)
        }

        if (status == 0) {
            joinIntentionSuccessConstraintLayout.visibility = View.VISIBLE
            joinBuySuccessConstraintLayout.visibility = View.GONE
        } else {
            joinIntentionSuccessConstraintLayout.visibility = View.GONE
            joinBuySuccessConstraintLayout.visibility = View.VISIBLE
        }

        setViewClickDuration(joinCommitSuccessOkTv, 1)
        setViewClickDuration(joinBuySuccessOkTv, 1)

    }

    override fun setViewClick(view: View?) {
        super.setViewClick(view)
        when (view) {
            joinCommitSuccessOkTv -> {
                JumpActivity.JumpToMainActivity(this)
            }
            joinBuySuccessOkTv -> {
                AppManager.getInstance().startActivity(MainActivity::class.java)
                JoinIncomeActivity.start(this)
            }
        }
    }

    override fun onBackPressed() {
    }
}