package com.baojia.mebike.feature.join.contract

import com.baojia.mebike.base.IBasePresenter
import com.baojia.mebike.data.response.join.JoinContractResponse
import com.baojia.mebike.feature.model.IRefreshDataView

/**
 * +----------------------------------------------------------------------
 * | @time 2019/4/12:3:47 PM
 * | @author house
 * | @class_describe
 * +----------------------------------------------------------------------
 **/
interface ContractContract {

    interface View : IRefreshDataView<Presenter> {
        fun setData(data: ArrayList<JoinContractResponse.DataBean>, isRefresh: Boolean)
    }

    interface Presenter : IBasePresenter {

        fun onLoadMore()
        fun onRefresh()

    }
}