package com.baojia.mebike.feature.join.contract

import android.app.Activity
import com.baojia.mebike.base.BaseModel
import com.baojia.mebike.callback.HttpCallback
import com.baojia.mebike.data.response.join.JoinContractResponse
import com.baojia.mebike.http.HttpUtils
import io.reactivex.disposables.Disposable
import java.util.*

/**
 * +----------------------------------------------------------------------
 * | @time 2019/4/17:9:11 AM
 * | @author house
 * | @class_describe
 * +----------------------------------------------------------------------
 **/
class ContractModel(context: Activity) : BaseModel(context) {

    private val JOIN_CONTRACT_LIST_URL = "/join/get/joinContract"

    fun getContractList(pageNum: Int,httpCallback: HttpCallback<JoinContractResponse>) :Disposable{

        val params = HashMap<String, Any>()
        params["pageNum"] = pageNum
        params["pageSize"] = 20

        return HttpUtils.postRequest(activity,JOIN_CONTRACT_LIST_URL,params,true,httpCallback,JoinContractResponse::class.java)

    }

}