package com.baojia.mebike.feature.person_company.bike_repair

import android.content.Context
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.company_personal.BikeRepairLocationResponse

/**
 * +----------------------------------------------------------------------
 * | @time 2019/1/15:2:51 PM
 * | @author house
 * | @class_describe
 * +----------------------------------------------------------------------
 **/
class BikeRepairLocationAdapter(var mContext: Context, var mData: ArrayList<BikeRepairLocationResponse>, var layoutId: Int) :
        BaseCommonAdapter<BikeRepairLocationResponse>(mContext, mData, layoutId) {

    override fun convert(holder: BaseViewHolder?, list: MutableList<BikeRepairLocationResponse>?, position: Int) {
        if (list != null) {
            list[position]?.let {
                holder?.setImageResource(R.id.backgroundImageView, it.resId)
                holder?.setText(R.id.introduceTextView, it.introduce)
                if (it.isSelect) {
                    holder?.setBackgroundRes(R.id.backgroundImageView, R.drawable.radius_stroke_main_color)
                } else {
                    holder?.setBackgroundRes(R.id.backgroundImageView, R.drawable.radius_stroke_line_color)
                }
            }
        }

        holder?.itemView?.setOnClickListener {
            onItemClickListner?.onItemClick(it, position)
        }
    }
}