package com.baojia.mebike.feature.exclusive.shopping.near_shop

import android.app.Activity
import com.baojia.mebike.base.BasePresenter
import com.baojia.mebike.callback.HttpCallback
import com.baojia.mebike.data.response.exclusive.NearShopResponse

/**
 * +----------------------------------------------------------------------
 * | @time 2018/12/22:6:52 PM
 * | @author house
 * | @class_describe
 * +----------------------------------------------------------------------
 **/
class NearShopPresenter constructor(var mContext: Activity, var mView: NearShopContract.View) : BasePresenter(mContext),
        NearShopContract.Presenter {

    private var powerStationModel: NearShopModel? = null

    init {
        powerStationModel = NearShopModel(mContext)
    }

    override fun searchPowerStation() {
        powerStationModel?.searchNearShop(object :HttpCallback<ArrayList<NearShopResponse.DataBean.StoresBean>?>(){
            override fun onSucceed(data: ArrayList<NearShopResponse.DataBean.StoresBean>?) {
                super.onSucceed(data)
                mView.drawSitMarker(data)
            }
        })
    }
}