package com.baojia.mebike.feature.exclusive.shopping.orderdetails

import android.app.Activity
import android.text.TextUtils
import androidx.recyclerview.widget.RecyclerView
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.exclusive.shapping.ShoppingOrderDetailResponse

class ShoppingOrderDetailAdapter(activity: Activity, list: ArrayList<ShoppingOrderDetailResponse.DataBean.OrdersBean>, layoutId: Int)
    : BaseCommonAdapter<ShoppingOrderDetailResponse.DataBean.OrdersBean>(activity,list,layoutId) {


    override fun convert(holder: BaseViewHolder?, list: MutableList<ShoppingOrderDetailResponse.DataBean.OrdersBean>?, position: Int) {
        list?:return
        var item = list[position] ?:return
        holder?.setText(R.id.orderDetailLeftTv,item.title)
        holder?.setText(R.id.orderDetailRightTv,item.desc)

        if (position == list.size-1){
            holder?.setVisbility(R.id.orderDetailLineIv,false)
        }else{
            holder?.setVisbility(R.id.orderDetailLineIv,true)
        }
    }

}
