package com.baojia.mebike.feature.exclusive.shopping.orderdetails

import android.app.Activity
import android.text.TextUtils
import androidx.recyclerview.widget.RecyclerView
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.exclusive.shapping.ShoppingOrderDetailResponse

class ShoppingOrderDetailProductAdapter(activity: Activity, list: ArrayList<ShoppingOrderDetailResponse.DataBean.BikesBean.ProMsgsBean>, layoutId: Int)
    : BaseCommonAdapter<ShoppingOrderDetailResponse.DataBean.BikesBean.ProMsgsBean>(activity,list,layoutId) {


    override fun convert(holder: BaseViewHolder?, list: MutableList<ShoppingOrderDetailResponse.DataBean.BikesBean.ProMsgsBean>?, position: Int) {
        list?:return
        var item = list[position] ?:return
        holder?.setText(R.id.goodsTitleOneTv,item.prodName)
        holder?.setText(R.id.goodsTitleTwoTv,item.prodDesc)
        holder?.setText(R.id.goodsDescOneTv,item.prodColorName)
        holder?.setText(R.id.goodsDescTwoTv,"￥${item.prodAmount}")
        holder?.setImageUrl(R.id.goodsImageIv,item.prodImgUrl)

    }

}
//
//private ImageView goodsImageIv;
//private TextView goodsTitleOneTv;
//private TextView goodsTitleTwoTv;
//private TextView goodsDescOneTv;
//private TextView goodsDescTwoTv;

