package com.baojia.mebike.feature.exclusive.shopping.repairdetail

import android.app.Activity
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.exclusive.shapping.ShoppingRepailDetailResponse
import com.baojia.mebike.util.ToolBox

class ResultProgressAdapter(activity: Activity, resultList: ArrayList<ShoppingRepailDetailResponse.DataBean.ResultBean>, item_progress_repair_detail: Int)
    :BaseCommonAdapter<ShoppingRepailDetailResponse.DataBean.ResultBean>(activity,resultList,item_progress_repair_detail) {

    override fun convert(holder: BaseViewHolder?, list: MutableList<ShoppingRepailDetailResponse.DataBean.ResultBean>?, position: Int) {
        list?:return
        holder?.setText(R.id.topProgressDescTv,list[position].detail)
        if (list[position].status == 1){
            holder?.setTextColor(R.id.topProgressDescTv,ToolBox.getColor(R.color.text_first_color))
            holder?.setImageResource(R.id.progressTopLineIv,R.color.text_first_color)
            holder?.setImageResource(R.id.progressBottomLineIv,R.color.text_first_color)
            holder?.setImageResource(R.id.progressTagIv,R.drawable.circle_progress_666)
        }else{
            holder?.setTextColor(R.id.topProgressDescTv,ToolBox.getColor(R.color.text_third_color))
            holder?.setImageResource(R.id.progressTopLineIv,R.color.line_color)
            holder?.setImageResource(R.id.progressBottomLineIv,R.color.line_color)
            holder?.setImageResource(R.id.progressTagIv,R.drawable.circle_progress)
        }

//        if (TextUtils.isEmpty(list[position].time)){
////            holder?.setVisbility(R.id.progressTime,false)
//        }else{
////            holder?.setVisbility(R.id.progressTime,true)
//        }
//        holder?.setText(R.id.topProgressDescTv,list[position].time)

        if (position == 0){
            holder?.setVisbility(R.id.progressTopLineIv,false)
        }else{
            holder?.setVisbility(R.id.progressTopLineIv,true)
        }

        if (position == list.size -1){
            holder?.setVisbility(R.id.progressBottomLineIv,false)
        }else{
            holder?.setVisbility(R.id.progressBottomLineIv,true)
        }
    }

}
