package com.baojia.mebike.feature.exclusive.shopping.repairdetail

import android.app.Activity
import com.baojia.mebike.base.BaseModel
import com.baojia.mebike.callback.HttpCallback
import com.baojia.mebike.data.response.exclusive.shapping.ShoppingOrderResponse
import com.baojia.mebike.data.response.exclusive.shapping.ShoppingRepailDetailResponse
import com.baojia.mebike.http.HttpUtils
import io.reactivex.disposables.Disposable

class ShoppingRepairDetailModel(activity: Activity) :BaseModel(activity) {
    private val URL_DETAIL = "/pmall/get/maintain"

    fun getDetail(pmallMaintainId : Int, httpCallback: HttpCallback<ShoppingRepailDetailResponse?>?): Disposable {
        val params = HashMap<String, Any>()
        params["pmallMaintainId"] = pmallMaintainId
        return HttpUtils.postRequest(activity, URL_DETAIL, params, true, httpCallback, ShoppingRepailDetailResponse::class.java)
    }
}