package com.baojia.mebike.feature.exclusive.shopping.repairlist

import com.baojia.mebike.base.IBasePresenter
import com.baojia.mebike.data.response.exclusive.shapping.RepairListResponse
import com.baojia.mebike.data.response.exclusive.shapping.ShoppingOrderResponse
import com.baojia.mebike.data.response.order.PayByOtherResponse
import com.baojia.mebike.feature.model.IRefreshDataView

interface RepairListContract {
    interface View : IRefreshDataView<Presenter> {
        fun bikeId() :Int
        fun setListData(it: List<RepairListResponse.DataBean>, isRefresh :Boolean)

    }

    interface Presenter : IBasePresenter {
        fun onLoadMore()
        fun onRefresh()

    }
}