package com.baojia.mebike.feature.exclusive.shopping.sendprogress

import com.baojia.mebike.base.IBasePresenter
import com.baojia.mebike.base.IBaseView
import com.baojia.mebike.data.response.exclusive.shapping.SendProgressResponse

interface SendProgressContract {
    interface View : IBaseView<Presenter> {

        fun notifyData(data : ArrayList<SendProgressResponse.DataBean.ProcessesBean>)
        fun orderNo() : String?
        fun state() : Int
        fun changeBatteryId() : Long

        fun showCancleOrder()

    }

    interface Presenter : IBasePresenter {
        fun getData()
        fun cancleOrder()
    }
}