package com.baojia.mebike.feature.join.invitation.friend

import android.content.Context
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.join.JoinInvitationFriendResponse

/**
 * +----------------------------------------------------------------------
 * | @time 2019/3/28:3:31 PM
 * | @author house
 * | @class_describe
 * +----------------------------------------------------------------------
 **/
class InvitationFriendAdapter(val mContext: Context, val mData: ArrayList<JoinInvitationFriendResponse.DataBean>) : BaseCommonAdapter<JoinInvitationFriendResponse.DataBean>(mContext, mData, R.layout.item_join_invitation_firend) {

    override fun convert(holder: BaseViewHolder?, list: MutableList<JoinInvitationFriendResponse.DataBean>?, position: Int) {

        list?.let {
            holder?.setText(R.id.phoneNumberTextView, it[position].mobile)
            holder?.setText(R.id.introduceTextView, it[position].inviteInfo)
        }

    }
}