package com.baojia.mebike.feature.join.invitation.friend

import com.baojia.mebike.base.IBasePresenter
import com.baojia.mebike.data.response.join.JoinInvitationFriendResponse
import com.baojia.mebike.feature.model.IRefreshDataView

/**
 * +----------------------------------------------------------------------
 * | @time 2019/3/28:11:16 AM
 * | @author house
 * | @class_describe
 * +----------------------------------------------------------------------
 **/
interface InvitationFriendContract {

    interface View : IRefreshDataView<Presenter> {

        fun getType():Int

        fun setData(mData:ArrayList<JoinInvitationFriendResponse.DataBean>?,isRefresh:Boolean)
    }

    interface Presenter : IBasePresenter {

        fun onRefresh()

        fun onLoadMore()

    }
}