package com.baojia.mebike.feature.join.invitation.income

import android.content.Context
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.join.JoinInvitationIncomeResponse

/**
 * +----------------------------------------------------------------------
 * | @time 2019/3/28:3:31 PM
 * | @author house
 * | @class_describe
 * +----------------------------------------------------------------------
 **/
class InvitationIncomeAdapter(val mContext: Context, val mData: ArrayList<JoinInvitationIncomeResponse.DataBean>) : BaseCommonAdapter<JoinInvitationIncomeResponse.DataBean>(mContext, mData, R.layout.item_join_invitation_income) {

    override fun convert(holder: BaseViewHolder?, list: MutableList<JoinInvitationIncomeResponse.DataBean>?, position: Int) {

        list?.let {
            holder?.setText(R.id.dateTextView, it[position].rewardTime)
            holder?.setText(R.id.incomeAmountTextView, "+${it[position].rewardAmount}")
            holder?.setText(R.id.introduceTextView,it[position].rewardInfo)
        }

    }
}