package com.baojia.mebike.feature.join.invitation.income

import com.baojia.mebike.base.IBasePresenter
import com.baojia.mebike.data.response.join.JoinInvitationIncomeResponse
import com.baojia.mebike.feature.model.IRefreshDataView

/**
 * +----------------------------------------------------------------------
 * | @time 2019/3/28:2:18 PM
 * | @author house
 * | @class_describe
 * +----------------------------------------------------------------------
 **/
interface InvitationIncomeContract {


    interface View : IRefreshDataView<Presenter> {

        fun getType():Int

        fun setData(mData:ArrayList<JoinInvitationIncomeResponse.DataBean>?, isRefresh:Boolean)
    }

    interface Presenter : IBasePresenter {

        fun onRefresh()

        fun onLoadMore()

    }
}