package com.baojia.mebike.feature.person_company.bike_location

import com.baojia.mebike.base.IBasePresenter
import com.baojia.mebike.base.IBaseView

/**
 * +----------------------------------------------------------------------
 * | @time 2019/1/21:9:42 PM
 * | @author house
 * | @class_describe
 * +----------------------------------------------------------------------
 **/
interface BikeLocationContract {

    interface View : IBaseView<Presenter> {

        fun bikeId(): Int

        fun setBikeLocation(latitude: Double, longitude: Double, gpsTIme: String)

        fun setBikeAddress(address: String, street: String?)

    }

    interface Presenter : IBasePresenter {
        fun refreshBikeLocation()
    }

}