package com.baojia.mebike.feature.person_company.usebike

import android.app.Activity
import android.app.PendingIntent.getActivity
import android.content.Context
import android.content.Intent
import android.os.Handler
import android.provider.Settings
import android.text.TextUtils
import android.util.Log
import androidx.core.app.ActivityCompat.startActivityForResult
import androidx.fragment.app.FragmentManager
import com.baojia.mebike.R.style.waitDialog
import com.baojia.mebike.buletooth.*
import com.baojia.mebike.buletooth.BluetoothManager
import com.baojia.mebike.dialog.WaitDialog
import com.baojia.mebike.feature.usebike.dialog.BluetoothDialog
import com.baojia.mebike.util.Toast

/**
 * +----------------------------------------------------------------------
 * | @time 2019/1/22:5:51 PM
 * | @author house
 * | @class_describe 蓝牙操作
 * +----------------------------------------------------------------------
 **/
class BluetoothManager {
//
//    private val mHandler = Handler()
//    private var iBlueBoxContoller: IBlueBoxContoller? = null
//    private var cmd1: ByteArray? = null
//    // B 锁车 A 启动
//    private var operation: String? = null
//    private var boxType = 1
//    private var macAddress : String? = null
//    private var mContext: Activity?= null
//    private var fragmentManager:FragmentManager? = null
//    private val REQUEST_CODE_BLUETOOTH_ON_OFF_LINE = 0x123
//
//    /**
//     * 开启蓝牙
//     */
//    private fun openBluetooth() {
//        if (BluetoothManager.isBluetoothSupported() && BluetoothManager.userDeviceSupportBle(getActivity())) {// 监测是否支持蓝牙
//            if (BluetoothManager.isBluetoothEnabled()) {// 蓝牙是否打开
//                iBlueBoxContoller?.let {
//                    it.onDestory()
//                     null
//                }
//                // 需要判断盒子类型
//
//                var bluetoothConfig: IBluetoothConfig? = null
//                if (boxType == 1) {
//                    // 小蜜蜂
//                    bluetoothConfig = XiaoMiConfig()
//                } else if (boxType == 2) {
//                    // 蜜蜂
//                    bluetoothConfig = MiFengConfig()
//                }
//
//                iBlueBoxContoller = BlueBoxControllerProvider.getInstance(macAddress, mContext,
//                        bluetoothConfig, BluetoothBoxStateListeners())
//            } else {
//                // 蓝牙未打开
//                turnOnBluetooth()
//            }
//        }
//    }
//
//    // 是否还车
//    private var isReturnCar = false
//
//    /**
//     * 弹出系统弹框提示用户打开 BluetoothActivity
//     */
//    private fun turnOnBluetooth() {
//        val bluetoothDialog = BluetoothDialog()
//        bluetoothDialog.show(fragmentManager, "BluetoothDialog")
//        bluetoothDialog.setBluetoothCallback(object : BluetoothDialog.BluetoothCallback {
//            override fun onConfirm() {
//                val requestBluetoothOn = Intent(Settings.ACTION_BLUETOOTH_SETTINGS)
//
//                // 请求开启 BluetoothActivity
//                mContext?.startActivityForResult(requestBluetoothOn,
//                        REQUEST_CODE_BLUETOOTH_ON_OFF_LINE)
//                bluetoothDialog.dismiss()
//            }
//
//            override fun onDismiss() {
//                bluetoothDialog.dismiss()
//                mPresenter.sendBoxInstruct(false, operation, null)
//            }
//
//            override fun onCancel() {
//                // 点击返回键或者点击空白关闭
//                mPresenter.sendBoxInstruct(false, operation, null)
//            }
//        })
//
//    }
//
//    private var waitDialog: WaitDialog? = null
//
//    private inner class BluetoothBoxStateListeners : IBlueBoxContoller.BlueBoxStateListener<ByteArray> {
//
//        override fun onConnectFailure() {
//            Log.i("bluebooth", "连接失败")
//            if (waitDialog != null && waitDialog!!.isShowing) {
//                if (bluetoothRunnable != null) {
//                    mHandler.removeCallbacks(bluetoothRunnable)
//                }
//                if (null != iBlueBoxContoller) {
//                    iBlueBoxContoller.disConnect()
//                    iBlueBoxContoller = null
//                }
//
//                dismissLoading()
//                setBluetoothSendFail()
//            }
//        }
//
//        override fun onConnectSuccess() {
//            if (cmd1 != null) {
//                //                System.out.println("bluetooth=====>开始执行");
//                blueOperation(cmd1)
//
//            }
//        }
//
//        override fun onReadResult(data: ByteArray?) {
//            dismissLoading()
//            if (bluetoothRunnable != null) {
//                mHandler.removeCallbacks(bluetoothRunnable)
//            }
//            // 小蜜蜂数据解析
//            if (mPresenter.boxType() == 1) {
//                var length: Byte = 0
//                if (data!!.size > 1) {
//                    length = data[1]
//                }
//                if (data.size > 1 + length) {
//                    if (data[1 + length].toInt() == 0) {
//                        bluetoothResult = 1
//                        mPresenter.saveBluetoothLog()
//                        if (TextUtils.equals(operation, "B")) {
//                            if (isReturnCar) {
//                                mPresenter.setCode(returnCode, returnCarMessage, true)
//                                return
//                            }
//                            Toast.show(getActivity(), "蓝牙锁车成功")
//                        } else {
//                            Toast.show(getActivity(), "蓝牙启动成功")
//                        }
//                    } else {
//                        bluetoothResult = 0
//                        mPresenter.saveBluetoothLog()
//                        if (TextUtils.equals(operation, "B")) {
//                            Toast.show(getActivity(), "蓝牙锁车失败")
//                        } else {
//                            Toast.show(getActivity(), "蓝牙启动失败")
//                        }
//                        setBluetoothSendFail()
//                    }
//                }
//            } else if (mPresenter.boxType() == 2) {
//                // 蜜蜂数据解析
//                if (data != null && data.size > 7) {
//                    if (data[0] == 0x4d.toByte()) {
//                        when (data[1]) {
//                            0x01.toByte() -> {
//                                //开锁 data[6]
//                                if (data[6] == 0x00.toByte()) {
//                                    Toast.show(getActivity(), "蓝牙开锁成功")
//                                    bluetoothResult = 1
//                                } else {
//                                    bluetoothResult = 0
//                                    Toast.show(getActivity(), "蓝牙启动失败")
//                                    setBluetoothSendFail()
//                                }
//                                mPresenter.saveBluetoothLog()
//                            }
//                            0x02.toByte() -> if (data[6] == 0x00.toByte()) {
//                                bluetoothResult = 1
//                                mPresenter.saveBluetoothLog()
//                                if (isReturnCar) {
//                                    mPresenter.setCode(returnCode, returnCarMessage, true)
//                                    return
//                                }
//                                Toast.show(getActivity(), "蓝牙锁车成功")
//                            } else {
//                                bluetoothResult = 0
//                                mPresenter.saveBluetoothLog()
//                                Toast.show(getActivity(), "蓝牙锁车失败")
//                                setBluetoothSendFail()
//                            }
//                            0x03.toByte() -> {
//                            }
//                        }
//                    }
//                }
//            }
//
//
//        }
//
//        override fun onDisConnected() {
//            //            Toast.makeText(getActivity(), "连接已断开", Toast.LENGTH_SHORT).show();
//            if (bluetoothRunnable != null) {
//                mHandler.removeCallbacks(bluetoothRunnable)
//            }
//            if (isReturnCar) {
//                if (backBikeDialog != null && backBikeDialog.isShowing()) {
//                    mPresenter.sendBoxInstruct(true, "B", null)
//                }
//            } else {
//                if (waitDialog != null && waitDialog.isShowing()) {
//                    dismissLoading()
//                    mPresenter.sendBoxInstruct(false, operation, null)
//                }
//            }
//
//        }
//    }
//
//    private var bluetoothRunnable: BluetoothRunnable? = null
//
//    private inner class BluetoothRunnable(isReturnCar: Boolean) : Runnable {
//
//        private var isReturnCar = false
//
//        init {
//            this.isReturnCar = isReturnCar
//        }
//
//        override fun run() {
//            iBlueBoxContoller?.let {
//                it.disConnect()
//                null
////                dismissLoading()
////                bluetoothResult = 2
////                mPresenter.saveBluetoothLog()
////                if (isReturnCar) {
////                    mPresenter.sendBoxInstruct(true, "B", null)
////                } else {
////                    mPresenter.sendBoxInstruct(false, operation, null)
////                }
//            }
//        }
//    }
//
//
//    /**
//     * 设置蓝牙发送指令失败判断逻辑
//     */
//    private fun setBluetoothSendFail() {
//        if (isReturnCar) {
//            mPresenter.sendBoxInstruct(true, "B", null)
//        } else {
//            mPresenter.sendBoxInstruct(false, operation, null)
//        }
//    }
}