package com.baojia.mebike.feature.person_company.usebike

import android.app.Activity
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.company_personal.PersonalBikeResponse

/**
 * +----------------------------------------------------------------------
 * | @time 2019/1/22:3:11 PM
 * | @author house
 * | @class_describe
 * +----------------------------------------------------------------------
 **/
class ChangeBikeAdapter(mContext: Activity, list: ArrayList<PersonalBikeResponse.DataBean>, layoutId: Int) : BaseCommonAdapter<PersonalBikeResponse.DataBean>(mContext, list, layoutId) {
    override fun convert(holder: BaseViewHolder?, list: MutableList<PersonalBikeResponse.DataBean>?, position: Int) {
        if (list == null) return
        list[position]?.let {
            holder?.setImageUrl(R.id.bikeImageView, it.imgUrl)
            holder?.setText(R.id.bikeIntroduceTextView, it.name)
            holder?.setText(R.id.driveDistanceTextView, "续航:${it.extensionMileageText}")
            holder?.setText(R.id.batteryTextView, "电量:${it.batteryLevelText}")
        }

        holder?.itemView?.setOnClickListener {
            onItemClickListner?.onItemClick(it, position)
        }
    }
}